## wmmatrix 0.2

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall 
INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib

# for Linux
LIBS   = -lXpm -lX11 -lXext

# for Solaris
#LIBS   = -lXpm  -lX11 -lXext -lsocket -lnsl


OBJS   = wmMatrix.o matrix.o xutils.o yarandom.o




.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmMatrix.o wmMatrix 

wmMatrix.o: wmMatrix_master.xpm wmMatrix_mask.xbm
wmMatrix:	$(OBJS) 
	$(CC) $(COPTS) $(SYSTEM) -o wmMatrix $^ $(INCDIR) $(LIBDIR) $(LIBS)


clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmMatrix

install:: wmMatrix
	install -c -s -m 0755 wmMatrix $(DESTDIR)/bin

=== debian/changelog ===
wmmatrix (0.2-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debhelper compat to level 7. (Closes: #965876)
  * debian/control: Drop bad Vcs fields.
  * Convert to source format 3.0 (quilt).
  * Drop menu file.

 -- Bastian Germann <bage@debian.org>  Mon, 15 May 2023 22:59:41 +0200

wmmatrix (0.2-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957948)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 08 Sep 2020 20:51:45 +0100

wmmatrix (0.2-12) unstable; urgency=low

  * Change Build-Depends: x11proto-core-dev. (Closes: #515407)
  * Bump up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Tue, 17 Feb 2009 20:19:20 +0100

wmmatrix (0.2-11) unstable; urgency=low

  * debian/control:
    + Add Homepage header and replace XS-Vcs with Vcs
    + Bump up Standards-Version to 3.7.3
  * Add watch file

 -- Varun Hiremath <varun@debian.org>  Fri, 18 Jan 2008 11:53:07 +0530

wmmatrix (0.2-10) unstable; urgency=low

  * Add debian/README.Debian-source file.
  * Make some corrections in debian/orig-tar.sh

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 27 Aug 2007 22:54:41 +0530

wmmatrix (0.2-9) unstable; urgency=low

  * debian/patches:
    + added Makefile.diff to install binaries without stripping (Closes: #438274)
    + added wmMatrix.c.diff to include changes made in the upstream source file.
  * debian/rules: implement get-orig-source

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 16 Aug 2007 16:00:28 +0530

wmmatrix (0.2-8) unstable; urgency=low

  * Switch to cdbs.

 -- Torsten Werner <twerner@debian.org>  Tue, 10 Apr 2007 13:55:27 +0200

wmmatrix (0.2-7) experimental; urgency=low

  [ Varun Hiremath ]
  * New maintainer (Closes: #398122)
  * debian/control: Build Depend on debhelper 5
  * debian/compat: Change to 5

  [ Torsten Werner ]
  * Add myself to Uploaders in debian/control.

 -- Torsten Werner <twerner@debian.org>  Fri,  1 Dec 2006 21:36:38 +0100

wmmatrix (0.2-6) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #398122
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 27 Nov 2006 11:28:04 +0100

wmmatrix (0.2-5.1) unstable; urgency=low

  * NMU to fix release critical bug
  * Split xlibs-dev build depends into individual Xorg libraries
    (Closes: #347063)
  * Make package lintian clean:
    - Standards version 3.6.2.1
    - quote menu file items

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 13 Jan 2006 21:29:06 +0100

wmmatrix (0.2-5) unstable; urgency=low

  * Update menu file to reflect FSB policy. (Closes: #212200)

 -- Thorsten Sauter <tsauter@debian.org>  Mon, 22 Sep 2003 21:53:08 +0200

wmmatrix (0.2-4) unstable; urgency=low

  * New maintainer (Closes: #201368)
  * Acknowledge NMU. (Closes: #170235)
  * debian/control:
    - update maintainer field
    - update standards-version
    - update minimum debhelper version
  * debian/compat:
    - using debhelper version 4
  * debian/README.Debian: remove useless readme file
  * debian/menu:
    - reformat/update menu file, to match the policy
  * debian/rules:
    - rewriting some parts
  * debian/changelog:
    - remove add-log-mailing-address from changelog
  * install binaries and manualpages under /usr/bin and /usr/share/man
  * including patch from Michael-John Turner <mj@debian.org>:
    - wmmatrix supports now the "-c" commandline switch, to support other
      double-click commands then "xscreensaver -demo". (Closes: 74277)
  * package contains now links from wmMatrix to wmmatrix, which makes the
    binaries a little bit more compatible with other wmaker applets

 -- Thorsten Sauter <tsauter@debian.org>  Wed, 27 Aug 2003 23:05:01 +0200

wmmatrix (0.2-3.1) unstable; urgency=low

  * NMU
  * Rebuild to get rid of obsolete xlib6g dependency.  Closes: #170235.
  * Add Build-Depends.

 -- Daniel Schepler <schepler@debian.org>  Fri, 14 Mar 2003 19:50:13 -0800

wmmatrix (0.2-3) unstable; urgency=low

  * Rebuilt with latest libxpm to fix dependancy problem (Closes:#67958).

 -- Michael-John Turner <mj@debian.org>  Sun,  6 Aug 2000 15:08:20 +0200

wmmatrix (0.2-2) unstable; urgency=low

  * Changed menu section to Games/Toys. D'oh! How did I manage to mess 
    that one up in the original release? (closes #47754).
  * Added pixmap for menu entry.
  * Manual page updated.

 -- Michael-John Turner <mj@debian.org>  Wed, 20 Oct 1999 12:09:05 +0200

wmmatrix (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Michael-John Turner <mj@debian.org>  Sat, 11 Sep 1999 16:13:36 +0200

=== debian/control ===
Source: wmmatrix
Section: x11
Priority: optional
Build-Depends: cdbs, debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev,
 x11proto-core-dev, quilt
Maintainer: Varun Hiremath <varun@debian.org>
Uploaders: Torsten Werner <twerner@debian.org>
Standards-Version: 3.8.0
Homepage: https://www.dockapps.net/wmmatrix

Package: wmmatrix
Architecture: any
Depends: ${shlibs:Depends}
Description: View The Matrix in a Window Maker dock application
 wmMatrix displays The Matrix (from the film of the same name) in
 a Window Maker dock application. Based on the xscreensaver module
 created by Jamie Zawinski.
 .
 Although it works best with Window Maker, wmMatrix also works fine 
 with other window managers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)/usr/

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
http://dockapps.org/files/10/17/wmMatrix-(.*)\.tar\.gz
